<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateApprovalVouchersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('approval_vouchers', function (Blueprint $table) {
            $table->id();
            $table->integer('location_id');
            $table->string('invoice_no');
            // $table->integer('warehouse_id');
            $table->integer('account_id');
            $table->integer('customer_id');
            $table->string('date');
            $table->string('type');
            $table->string('total_quantity');
            $table->string('narrations')->nullable();
            $table->string('buyer_name')->nullable();
            $table->string('buyer_mobile')->nullable();
            $table->string('buyer_email')->nullable();
            $table->string('buyer_address')->nullable();
            $table->string('buyer_vat_number')->nullable();
            $table->string('sales_invoice_status')->default('0');
            $table->string('sales_invoice_id')->nullable();
            $table->boolean('is_signed');
            $table->string('signature_path')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('approval_vouchers');
    }
}
