@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Sales Man Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Salesman Name: {{$selectedSalesmanIdName->first_name .' '. $selectedSalesmanIdName->last_name}}</h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                        <div class="row">

                            <div class="col-md-6">
                                <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table class="table table-hover table-bordered nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16">Date</td>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16" colspan="2">Sales Invoice</td>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16">Commission</td>
                                            </tr>
                                            <tr>
                                                <th></th>
                                                <th>Invoice Number</th>
                                                <th>Net Amount</th>
                                                <th></th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @foreach ($AdminSalesInvoice as $SalesInvoice)
                                                <tr>
                                                    <td>{{$SalesInvoice->date}}</td>
                                                    <td><strong><a
                                                        href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $SalesInvoice->id]) }}">Sales#
                                                        {{ $SalesInvoice->invoice_no }}</a></strong></td>
                                                    <td>{{$SalesInvoice->total_net_amount}}</td>
                                                    <td>{{ $SalesInvoice->total_net_amount * ($selectedSalesmanIdName->commission / 100) }}</td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table class="table table-hover table-bordered nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16">Date</td>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16" colspan="2">Credit Note / Sales Return	</td>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16">Commission</td>
                                            </tr>
                                            <tr>
                                                <th></th>
                                                <th>Invoice Number</th>
                                                <th>Net Amount</th>
                                                <th></th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @foreach ($CreditNotes as $CreditNote)
                                                <tr>
                                                    <td>{{ $CreditNote->date }}</td>
                                                    <td>
                                                        <strong>
                                                            <a href="{{ route('crusher.credit_notes.show', ['credit_note' => $CreditNote->id]) }}">
                                                                Credit Note# {{ $CreditNote->invoice_no }}
                                                            </a>
                                                        </strong>
                                                    </td>
                                                    <td>{{ $CreditNote->total_net_amount }}</td>
                                                    <td>{{ $CreditNote->total_net_amount * ($selectedSalesmanIdName->commission / 100) }}</td>
                                                </tr>
                                            @endforeach

                                        </tbody>
                                    </table>
                                </div>
                            </div>

                        </div>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>
@endsection
