{{-- @dd($errors) --}}

@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Supplier Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('software.suppliers.update', ['supplier' => request()->supplier]) }}"
                            class="outer-repeater" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Account Opening Balance</label>
                                        @if (auth()->user()->role=='subadmin')
                                            <input name="opening_balance"
                                            value="{{ old('opening_balance', $supplier->opening_balance) }}"
                                            class="form-control" type="text" placeholder="Account Opening Balance"
                                            id="example-password-input" disabled>
                                        @else
                                            <input name="opening_balance"
                                            value="{{ old('opening_balance', $supplier->opening_balance) }}"
                                            class="form-control" type="text" placeholder="Account Opening Balance"
                                            id="example-password-input">
                                        @endif

                                        @if ($errors->has('opening_balance'))
                                            <div class="text-danger">{{ $errors->first('opening_balance') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="control-label">Debit/Credit</label>
                                        <select class="form-control select2" name="type">
                                            <option value="">Select Debit/Credit</option>
                                            <option value="Debit" @if (old('type', $supplier->type) == 'Debit') selected @endif>Debit
                                            </option>
                                            <option value="Credit" @if (old('type', $supplier->type) == 'Credit') selected @endif>Credit
                                            </option>
                                        </select>
                                        @if ($errors->has('type'))
                                            <span class="text-danger">{{ $errors->first('type') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input name="date" value="{{ old('date', $supplier->date) }}"
                                            class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                        @if ($errors->has('date'))
                                            <div class="text-danger">{{ $errors->first('date') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Account Name</label>
                                        <input name="name_of_organisation"
                                            value="{{ old('name_of_organisation', $supplier->name_of_organisation) }}"
                                            class="form-control" type="text" placeholder="Enter Account Name"
                                            id="example-text-input">
                                        @if ($errors->has('name_of_organisation'))
                                            <div class="text-danger">{{ $errors->first('name_of_organisation') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Commercial Registration #</label>
                                        <input name="commerical_registration_number"
                                            value="{{ old('commerical_registration_number', $supplier->commerical_registration_number) }}"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^a-zA-Z0-9]/g, '');" placeholder="Enter Number or Text"
                                            id="example-text-input">
                                        @if ($errors->has('commerical_registration_number'))
                                            <div class="text-danger">{{ $errors->first('commerical_registration_number') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Contact Person Name</label>
                                        <input name="contact_person_name"
                                            value="{{ old('contact_person_name', $supplier->contact_person_name) }}"
                                            class="form-control" type="text" placeholder="Enter Contact Person Name"
                                            id="example-text-input">
                                        @if ($errors->has('contact_person_name'))
                                            <div class="text-danger">{{ $errors->first('contact_person_name') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Office Phone #</label>
                                        <input name="office_phone"
                                            value="{{ old('office_phone', $supplier->office_phone) }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('office_phone'))
                                            <div class="text-danger">{{ $errors->first('office_phone') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile #</label>
                                        <input name="mobile" value="{{ old('mobile', $supplier->mobile) }}"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number"
                                            id="example-text-input">
                                        @if ($errors->has('mobile'))
                                            <div class="text-danger">{{ $errors->first('mobile') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Whatsapp #</label>
                                        <input name="whatsapp" value="{{ old('whatsapp', $supplier->whatsapp) }}"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number"
                                            id="example-text-input">
                                        @if ($errors->has('whatsapp'))
                                            <div class="text-danger">{{ $errors->first('whatsapp') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input name="email" value="{{ old('email', $supplier->email) }}"
                                            class="form-control" type="email" placeholder="Enter Email"
                                            id="example-text-input">
                                        @if ($errors->has('email'))
                                            <div class="text-danger">{{ $errors->first('email') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Country</label>
                                        <select class="form-control select2" name="country_id">
                                            <option value="">Select Country</option>
                                            @forelse ($countries as $country)
                                                <option value="{{ $country->id }}"
                                                    @if (old('country_id', $supplier->country_id) == $country->id) selected @endif>
                                                    {{ $country->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('country_id'))
                                            <span class="text-danger">{{ $errors->first('country_id') }}</span>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input name="city" value="{{ old('city', $supplier->city) }}"
                                            class="form-control" type="text" placeholder="Enter Number"
                                            id="example-text-input">
                                        @if ($errors->has('city'))
                                            <div class="text-danger">{{ $errors->first('city') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <textarea name="address" class="form-control" rows="2" type="text" placeholder="Enter Address"
                                            id="example-textarea-input">{{ old('address', $supplier->address) }}
                                    </textarea>
                                        @if ($errors->has('address'))
                                            <div class="text-danger">{{ $errors->first('address') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account_id">
                                            <option>Select Class of Account</option>
                                            @forelse ($classOfAccount as $account)
                                                <option value="{{ $account->id }}"
                                                    @if (old('class_of_account_id', $supplier->class_of_account_id) == $account->id) selected @endif>
                                                    {{ $account->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('class_of_account_id'))
                                            <div class="text-danger">{{ $errors->first('class_of_account_id') }}</div>
                                        @endif
                                    </div>
                                </div>


                                <!-- <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label class="control-label">Show User</label>
                                                                        <select class="form-control select2">
                                                                            <option>Nothing Selected</option>
                                                                            <option>lorem</option>
                                                                            <option>Lorem</option>
                                                                        </select>
                                                                    </div>
                                                                </div> -->

                                {{-- <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Maintain Account</label>
                                        <select class="form-control select2" name="maintain_account">
                                            <option>select</option>
                                            @forelse ($maintainAccount as $account)
                                            <option>lorem</option>

                                            @empty

                                            @endforelse
                                        </select>
                                    </div>
                                </div> --}}

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>VAT Number</label>
                                        <input name="vat_number"
                                            class="form-control @error('vat_number') is-invalid @enderror" type="text"
                                            placeholder="Enter VAT Number"
                                            value="{{ old('vat_number', $supplier->vat_number) }}" id="vat_number">
                                        @error('vat_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TRN Number</label>
                                        <input name="trn_number"
                                            class="form-control @error('trn_number') is-invalid @enderror" type="text"
                                            placeholder="Enter TRN Number"
                                            value="{{ old('trn_number', $supplier->trn_number) }}" id="trn_number">
                                        @error('trn_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TIN Number</label>
                                        <input name="tin_number"
                                            class="form-control @error('tin_number') is-invalid @enderror" type="text"
                                            placeholder="Enter TIN Number"
                                            value="{{ old('tin_number', $supplier->tin_number) }}" id="tin_number">
                                        @error('tin_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <strong>
                                        <h5>Upload Documents</h5>
                                    </strong>
                                </div>

                                @for ($i = 1; $i <= 7; $i++)
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control @error('doc_name_' . $i) is-invalid @enderror"
                                                type="text" placeholder="Enter Name"
                                                name="doc_name_{{ $i }}" id="doc_name_{{ $i }}"
                                                value="{{ old('doc_name_' . $i, $supplier->{'doc_name_' . $i}) }}">
                                            @error('doc_name_' . $i)
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control" type="file" id="doc_file_{{ $i }}"
                                                name="doc_file_{{ $i }}">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control @error('doc_expiry_' . $i) is-invalid @enderror"
                                                type="date" pattern="\d{4}-\d{2}-\d{2}}"
                                                name="doc_expiry_{{ $i }}"
                                                id="doc_expiry_{{ $i }}"
                                                value="{{ old('doc_expiry_' . $i, $supplier->{'doc_expiry_' . $i}) }}">
                                            @error('doc_expiry_' . $i)
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                @endfor
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea name="description" class="form-control @error('description') is-invalid @enderror" rows="4"
                                        placeholder="Enter Description">{{ old('description', $supplier->description) }}</textarea>
                                    @error('description')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>


                            <button class="btn btn-cust1 float-right" data-toggle="modal" data-target=""
                                type="submit">Update Supplier</button>



                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
@endsection
