@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">Purchase Invoice
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Purchase Invoice</h6>

                    <br>



                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    @else
                    {{-- <div class="col-md-12 d-flex align-items-center justify-content-center mb-3">
                        <img src="{{ asset('assets/images/acp-logo.svg') }}" class="img-fluid" alt="logo"
                            width="270px">
                    </div> --}}
                    @endif

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> {{ date('d/m,Y', strtotime($purchaseInvoice[0]->date)) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Purchase Invoice # : </strong> {{ $purchaseInvoice[0]->invoice_no }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Mode/Term of Payment : </strong> {{ $purchaseInvoice[0]->term_of_payment }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO Number(Supplier) : </strong> {{ $purchaseInvoice[0]->lpo_no }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Purchase Order Number : </strong> {{ $purchaseInvoice[0]->po_no ?? '' }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO(DUE DAYS) : </strong> {{ $purchaseInvoice[0]->lpo_days }}</p>
                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> {{ $purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name) }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> {{ $purchaseInvoice[0]->account->email ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong>{{ $purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong>{{ $purchaseInvoice[0]->account->mobile ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong>{{ $purchaseInvoice[0]->account->vat_number ?? 'No Record Found' }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: lightgray;color:black;border-color: black">
                                        <th style="border: none">S No.</th>
                                        <th style="border: none">Item Name</th>
                                        <th style="border: none">Item Description</th>
                                        <th style="border: none">Quantity</th>
                                        <th style="border: none">Rate/Unit</th>
                                        <th style="border: none">Gross Amount</th>
                                        <th style="border: none">VAT %</th>
                                        <th style="border: none">VAT Amount</th>
                                        <th style="border: none">Net Amount</th>
                                        <th style="border: none">C&F <span id="total-cf-th"></span></th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    @foreach ($purchaseInvoice as $key=>$pr)
                                   <tr>
                                        <td class="border border-dark">{{ $key + 1 }}</td>
                                        <td class="border border-dark">{{ $pr->item->name ?? '' }}</td>
                                        <td class="border border-dark">{{ $pr->item_description }}</td>
                                        <td class="border border-dark">{{ $pr->quantity }}</td>
                                        <td class="border border-dark">{{ number_format($pr->rate_unit, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ number_format($pr->gross_amount, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ $pr->vat_percentage }}</td>
                                        <td class="border border-dark">{{ number_format($pr->vat_amount, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ number_format($pr->net_amount, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark" id="cf-amount">{{ $pr->c_f }}</td>
                                   </tr>
                                   @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0">{!! session()->get('branch')->payment_details !!}</p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Gross Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Vat Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ $purchaseInvoice[0]->total_quantity }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseInvoice[0]->total_gross_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseInvoice[0]->total_vat_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseInvoice[0]->total_net_amount, session('branch')->currency_decimal) }}</p>
                        </div>
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            {{-- <p class="text-dark font-weight-bold" style="padding: 5px;margin:0">Advance Corporate Professionals & Businesses L.L.C.</p> --}}
                        </div>
                        <div class="col-md-4 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Amount in Words: </strong><span>{{ $purchaseInvoice[0]->AmountInWords }}</span></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                        </div>
                    </div>

                    {{-- <div class="row border1">
                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        @else
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span>{{ $company->name }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Branch Name :</label>
                                        <span>{{ session()->get('branch')->name }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Branch Address :</label>
                                        <span>{{ session()->get('branch')->address }}</span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span>{{ $company->country }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span>{{ $company->cr_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $company->vat_number }}</span>
                                    </div>


                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    @if ($purchaseInvoice[0]->buyer != null)
                                        <div class="col-md-12">


                                            <span>{{ $purchaseInvoice[0]->account->account_name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->phone ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @else
                                        <div>
                                            <span>{{ $purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name) }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $purchaseInvoice[0]->account->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $purchaseInvoice[0]->account->mobile ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $purchaseInvoice[0]->account->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Purchase Invoice # :</label>
                                        <span>{{ $purchaseInvoice[0]->invoice_no }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Mode/Term of Payment :</label>
                                        <span>{{ $purchaseInvoice[0]->term_of_payment }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span>{{ $purchaseInvoice[0]->date }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO Number(Supplier) :</label>
                                        <span>{{ $purchaseInvoice[0]->lpo_no }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Purchase Order Number :</label>
                                        <span>{{ $purchaseInvoice[0]->po_no ?? '' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO(DUE DAYS) :</label>
                                        <span>{{ $purchaseInvoice[0]->lpo_days }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> --}}



                    {{-- <br>

                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap">
                            <tr>
                                <td>
                                    <table class="table table-bordered dt-responsive nowrap">
                                        <tr>
                                            <td>
                                                @if (!empty(($companyLogo = auth()->user()->company_logo)))
                                                <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                    <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                                        alt="logo" width="700px">
                                                    </div>
                                                @else
                                                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                        <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                                            width="700px">
                                                    </div>
                                                @endif
                                            </td>
                                            <td colspan="2">
                                                <div class="row">
                                                    <div class="col-md-12 ">
                                                        <label>Company Name :</label>
                                                        <span>{{ $company->name }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Branch Name :</label>
                                                        <span>{{ session()->get('branch')->name }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Branch Address :</label>
                                                        <span>{{ session()->get('branch')->address }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company Country :</label>
                                                        <span>{{ $company->country }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company CR Number :</label>
                                                        <span>{{ $company->cr_number }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company Vat Number :</label>
                                                        <span>{{ $company->vat_number }}</span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h5>Buyer</h5>
                                                    </div>
                                                        <div class="col-md-12">
                                                            <label>Account Name :</label>
                                                            <span>{{ $purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name) }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Email :</label>
                                                            <span>{{ $purchaseInvoice[0]->account->email ?? 'No Record Found' }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Contact Person Name :</label>
                                                            <span>{{ $purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found' }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Contact Number :</label>
                                                            <span>{{ $purchaseInvoice[0]->account->mobile ?? 'No Record Found' }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>VAT Number :</label>
                                                            <span>{{ $purchaseInvoice[0]->account->vat_number ?? 'No Record Found' }}</span>
                                                        </div>
                                                </div>
                                            </td>


                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    <table class="table table-bordered dt-responsive nowrap">
                                        <tr>
                                            <td>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <label>Purchase Invoice # :</label>
                                                        <span>{{ $purchaseInvoice[0]->invoice_no }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Mode/Term of Payment :</label>
                                                        <span>{{ $purchaseInvoice[0]->term_of_payment }}</span>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <label>Date :</label>
                                                        <span>{{ $purchaseInvoice[0]->date }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>LPO Number(Supplier) :</label>
                                                        <span>{{ $purchaseInvoice[0]->lpo_no }}</span>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <label>Purchase Order Number :</label>
                                                        <span>{{ $purchaseInvoice[0]->po_no ?? '' }}</span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>LPO(DUE DAYS) :</label>
                                                        <span>{{ $purchaseInvoice[0]->lpo_days }}</span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>

                                </table>
                                </td>
                            </tr>
                        </table>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Item Name</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Rate/Unit</th>
                                        <th>Gross Amount</th>
                                        <th>VAT %</th>
                                        <th>VAT Amount</th>
                                        <th>Net Amount</th>
                                        <th>C&F <span id="total-cf-th"></span></th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    @forelse ($purchaseInvoice as $key=>$pr)
                                        <tr>
                                            <td>{{ $key + 1 }}</td>
                                            <td>
                                                <p>{{ $pr->item->name ?? '' }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->item_description }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->quantity }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->rate_unit }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->gross_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_percentage }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->net_amount }}</p>
                                            </td>
                                            <td>
                                                <p id="cf-amount">{{ $pr->c_f }}</p>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_quantity }}</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_gross_amount }}</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_vat_amount }}</td>
                                        <td>{{ $purchaseInvoice[0]->total_net_amount }}</td>
                                        <td><span id="cf-total"></span></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td class="grand-total"></td>
                                    </tr>
                                    @forelse ($purchaseInvoice as $pr)
                                        @forelse ($pr->expenses as $expense)
                                            <tr>
                                                <td></td>
                                                <td>

                                                    <span>
                                                        {{ optional($expense->expense)->name_of_organisation ?? optional($expense->expense)->account_name ?? (optional($expense->expense)->first_name . ' ' . optional($expense->expense)->last_name) ?? 'Unknown' }}
                                                    </span>

                                                </td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td id="cf">{{ $expense->expense_amount }}</td>
                                            </tr>
                                        @empty
                                        @endforelse

                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>New Vat Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="new-vat-amount">{{$purchaseInvoice[0]->new_vat_amount??(NULL)}}</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Discount Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="discount_amount">{{$purchaseInvoice[0]->discount_amount??(NULL)}}</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Purchase amount with c&f</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td class="grand-totalWithC&f" id="grand-totalWithC&f"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>


                    <div class="row">

                        <div class="col-md-4">
                            <label>Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>


                    </div>

                    <br>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap max-width">
                            <tr>
                                <td>
                                    <label>Term & Conditions</label>
                                    <p class="">{{ $tnc->description ?? '' }}</p>
                                </td>
                                <td>
                                    <label>Narrations</label>
                                    <p>{{ $purchaseInvoice[0]->narrations }}</p>
                                </td>
                            </tr>
                        </table>
                    </div> --}}

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>


    {{-- <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const totalNetAmount = {{ $purchaseInvoice[0]->total_net_amount }};
            const discountAmount = {{ $purchaseInvoice[0]->discount_amount }};

            let totalExpenseAmount = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalExpenseAmount += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            const grandTotal = totalNetAmount + totalExpenseAmount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            /////
            let totalCF = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    // Add the expense amount to the total
                    totalCF += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + totalCF + ")";

            ////
            /////
            let cf = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            @foreach ($purchaseInvoice as $pr)
                // Add the expense amount to the total
                cf += {{ $pr->c_f }};
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("cf-total").textContent = "(" + cf + ")";
        });
    </script> --}}
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const new_vat_amount = {{ $purchaseInvoice[0]->new_vat_amount }};
            const totalNetAmount = {{ $purchaseInvoice[0]->total_net_amount }};
            const discountAmount = {{ $purchaseInvoice[0]->discount_amount }};

            let totalExpenseAmount = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalExpenseAmount += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            const grandTotal = totalNetAmount + totalExpenseAmount + new_vat_amount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.querySelector(".grand-total").textContent = roundedGrandTotal;
            document.getElementById("grand-totalWithC&f").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            // Calculate and display total C&F expenses
            let totalCF = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalCF += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + Math.abs(totalCF) + ")";

            // Calculate and display total C&F value
            let cf = 0;
            @foreach ($purchaseInvoice as $pr)
                cf += {{ $pr->c_f }};
            @endforeach

            // Display the total C&F value in the table cell with the ID "cf-total"
            document.getElementById("cf-total").textContent = "(" + Math.abs(cf) + ")";
        });
    </script>

@endsection
