<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Balance Sheet</h6>
                        </div>
                    </div>
                    <form action="<?php echo e(route('balanceSheets')); ?>" method="POST" class="outer-repeater">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>As On</label>
                                    <input id="to_date" name="to_date" class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}" value="<?php echo e(date('Y-m-d')); ?>">
                                </div>
                                <input class="form-control PeriodClosingDate" type="hidden" id="from_date" name="from_date" pattern="\d{4}-\d{2}-\d{2}" value="<?php echo e(date('Y-m-d')); ?>">
                            </div>

                            <!-- Add JavaScript to synchronize dates -->
                            <script>
                                document.getElementById('to_date').addEventListener('change', function() {
                                    document.getElementById('from_date').value = this.value;
                                });
                            </script>

                        </div>
                        <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                            View Balance Sheet</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<?php
use App\Branches;
use Carbon\Carbon;

$selectedBranchId = session('selected_branch');

$branch = Branches::where('id', $selectedBranchId)->first();
?>

<script>
<?php if(!empty($selectedBranchId)): ?>
    document.addEventListener("DOMContentLoaded", function() {
        var periodClosings = <?php echo json_encode($periodClosings); ?>;

        function isBeforePeriodClosing(date) {
            var selectedDate = new Date(date);
            for (var i = 0; i < periodClosings.length; i++) {
                var closingDate = new Date(periodClosings[i]);
                if (selectedDate < closingDate) {
                    return true;
                }
            }
            return false;
        }

        function setColor(dateInput) {
            var selectedDate = dateInput.value;
            if (isBeforePeriodClosing(selectedDate)) {
                dateInput.style.backgroundColor = 'lightgrey';
            } else {
                dateInput.style.backgroundColor = '';
            }
        }

        var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
        periodClosingDateInputs.forEach(function(input) {
            input.addEventListener('change', function() {
                setColor(this);
                if (isBeforePeriodClosing(this.value)) {
                    <?php if(!Branches::hasBranchPermission($selectedBranchId, 'View Report As Per User Credentials')): ?>
                        window.alert("You are trying to enter a closing period. Please contact admin.");
                        this.value = '';
                    <?php else: ?>
                        window.alert("You are trying to enter a closing period.");
                    <?php endif; ?>
                }
            });
            setColor(input);
        });
    });
<?php endif; ?>
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/select-balance-sheet.blade.php ENDPATH**/ ?>