<?php

namespace App\Http\Controllers;
use Carbon\Carbon;
use Hash;
use Session;
use App\User;
use App\AccountMaster;
use App\Company;
use App\Dashboard;
use Illuminate\Http\Request;
use App\NotificationTrack;
use App\Notifications;
use App\Remainder;
use App\UserRemainder;
use App\Services\Utils;
use Auth;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $notification = array();
        $selected_location = Utils::getLocation();
        if($selected_location){
           $notification_track = NotificationTrack::Where('location_id', $selected_location)->pluck('notification_id');
           foreach ($notification_track as $entry) {
               $notification[] = Notifications::Where('id', $entry)->first();
           }
        //    if(Auth::user()->hasRole('user')){
            $remainders = Remainder::where('location_id', $selected_location)->where('user_id', Auth::user()->id)->get();
        //    }else{
        //     $remainders = UserRemainder::Where('user_id', Auth::user()->id)->get();
        //    }
           $selected_location = $selected_location;

           $account_master_docs = AccountMaster::Where('location_id', $selected_location)->get();

           $date = Carbon::now()->addDays(30)->format('Y-m-d');
           $today = Carbon::now()->format('Y-m-d');

           $company = Company::Where('location_id', $selected_location)->first();

           return view('user.dashboard.index', compact('company','notification','remainders','account_master_docs','date','today'));
        }
        else{
            abort(404);
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Dashboard  $dashboard
     * @return \Illuminate\Http\Response
     */
    public function show(Dashboard $dashboard)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Dashboard  $dashboard
     * @return \Illuminate\Http\Response
     */
    public function edit(Dashboard $dashboard)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Dashboard  $dashboard
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Dashboard $dashboard)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Dashboard  $dashboard
     * @return \Illuminate\Http\Response
     */
    public function destroy(Dashboard $dashboard)
    {
        //
    }

    public function document_expiry()
    {
        $selected_location = Utils::getLocation();
        $selected_location = $selected_location;
        $account_master_docs = AccountMaster::Where('location_id', $selected_location)->get();
// dd($account_master_docs);
        return view('user.others.document_expiry.create',compact('account_master_docs'));
    }

    public function changePassword(){
        return view('user.change_password.create');
    }

    public function updatePassword(Request $request)
    {

        $this->validate($request, [
            'new_password' => 'min:8|required_with:confirm_new_password|same:confirm_new_password',
            'confirm_new_password' => 'min:8'
        ]);

        $user = User::where('id', Auth::id())->first();
        $user->password = bcrypt($request->new_password);
        $user->save();
        Session::flash('alert-success', 'Password Updated Successfully');
        return redirect('/change-password');
    }
}
