<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use DB;
use Storage;
use Session;
use Carbon\Carbon;

use App\Services\Slug;
use App\Services\Utils;

use App\Country;
use App\Location;
use App\LocationPermission;
use App\LocationPermissionTrack;
use Illuminate\Support\Facades\Auth;

class SelectCountryAndLocationController extends Controller
{
    protected $slug;

    public function __construct(Slug $slug)
    {
        $this->slug = $slug;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if(Auth::user()->hasRole('user')){
            $permission = LocationPermission::Where('user_id', Auth::user()->id)->get();
            if (count($permission) > 1) {
                $option = LocationPermissionTrack::Where('user_id', Auth::user()->id)->first();
                $permission_option = $option->permission_option;

                foreach ($permission as $perm) {
                    $countries[] =  Country::Where('id', $perm->country_id)->first();
                }
                $countries = array_unique($countries);
                // dd($permission_option);
                // $countries = Country::all();
                return view('user.select_country_and_location.index', compact('countries', 'permission_option'));
            }
            else{
                $location = LocationPermission::Where('user_id', Auth::user()->id)->first();
                if ($location) {
                    Utils::setLocation($location->location_id);

                    return redirect('/dashboard');
                }
            }
        }
        else{
            $countries = Country::all();
            $permission_option = "all_countries_all_locations";
            return view('user.select_country_and_location.index', compact('countries', 'permission_option'));
        }

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function moveToDashboard(Request $request)
    {
        Utils::setLocation($request-> location);

        return redirect('/dashboard');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
