@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Period Closing Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="{{ route('crusher.period_closings.create') }}">
                                    <button class="btn btn-cust1 float-right" type="submit">Create Period Closing
                                    </button>
                                </a>
                            </div>
                        </div>

                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Starting Date</th>
                                        <th>Ending Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @forelse ($periodClosings as $pc)
                                        <tr>
                                            <td>{{ $pc->from }}</td>
                                            <td>{{ $pc->to }}</td>
                                            <td>
                                                <a
                                                    href="{{ route('crusher.period_closings.show', ['period_closing' => $pc->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                                <a
                                                    href="{{ route('crusher.period_closings.edit', ['period_closing' => $pc->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="{{ route('crusher.period_closings.delete', ['period_closing' => $pc->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
