@extends('layouts.master_user')
@section('page-title')
Condense Balance Sheet
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
    th{
        text-align: center;
    }
    td:nth-child(2){
        text-align: right;
    }
    td:nth-child(4){
        text-align: right;
    }
</style>

@endsection
 @section('reports')
active
@endsection
@section('balance-sheet')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="select-view-type">Select View Type</label>
                        <select name="select_view_type" class="form-control" id="select_view_type_id" onchange="viewBalaneSheet()">
                            <option value="condense_view">Condense View</option>
                            <option value="detail_view">Detail View</option>
                        </select>
                    </div>
                </div>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th colspan="2">Liabilities</th>
                                    <th colspan="2">Assets</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td width="40%">Captial Account</td>
                                    <td width="10%"><b>12000</b></td>
                                    <td width="40%">Fixed Assets</td>
                                    <td width="10%"><b>24000</b></td>
                                </tr>
                                <tr>
                                    <td width="40%">Loans(Liabilities)</td>
                                    <td width="10%"><b>12000</b></td>
                                    <td width="40%"></td>
                                    <td width="10%"></td>
                                </tr>
                                <tr>
                                    <td width="40%">Current Liabilities</td>
                                    <td width="10%"><b>12000</b></td>
                                    <td width="40%">Current Assets</td>
                                    <td width="10%"><b>24000</b></td>
                                </tr>
                                <tr>
                                    <td width="40%">Profit & Loss</td>
                                    <td width="10%"><b>12000</b></td>
                                    <td width="40%"></td>
                                    <td width="10%"></td>
                                </tr>
                                <tr>
                                    <td width="40%"><b>Total</b></td>
                                    <td width="10%"><b>36000</b></td>
                                    <td width="40%"><b>Total</b></td>
                                    <td width="10%"><b>36000</b></td>
                                </tr>
                            </tbody>
                        </table>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function viewBalaneSheet(){
                var select_type=$('#select_view_type_id').val();
                if(select_type=='detail_view'){
                    window.location.href="detail-balance-sheet";
                }
                if(select_type=='condense_view'){
                    window.location.href="condense-balance-sheet";
                }
            }
</script>
@endsection
