@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row" style="margin-bottom: 20px;">
        <a href="/" class="btn btn-primary">Go Back</a>
    </div>
    <div class="row gray-bg">
        <h2><strong>Users and Privileges Master </strong></h2>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            @include('errors.list')
        </div>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            <h3 class="col-md-2"><strong>Add Super User</strong></h3>
            <a href="/main-menu/users-and-privileges/super-users" class="col-md-2 btn btn-primary">View All Super Users</a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <form method="POST" action="/main-menu/users-and-privileges/create-super-admin">
                @csrf
                <div class="form-group">
                    <label for="email-super-user">Email</label>
                    <input id="email" type="email" placeholder="Enter E-Mail Address" class="form-control @error('email') is-invalid @enderror" name="email" value="" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Password</label>
                    <input id="password" type="password" placeholder="Enter Password" class="form-control @error('password') is-invalid @enderror" name="password" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Confirm Password</label>
                    <input id="confirm-password" type="password" placeholder="Enter Confirm Password" class="form-control @error('confirm-password') is-invalid @enderror" name="confirm-password" required>
                </div>
                <button type="submit" class="btn btn-primary block full-width m-b">Create Super User</button>
            </form>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
    <form method="POST" id="create_form" action="/main-menu/users-and-privileges/create-limited-user">
        @csrf
        <div class="row top1">
            <div class="col-md-12">
                <h3 class="col-md-2"><strong>Add Limited User</strong></h3>
                <a href="/main-menu/users-and-privileges/limited-users" class="col-md-2 btn btn-primary">View All Limited Users</a>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <div class="form-group">
                    <label for="email-super-user">Email</label>
                    <input id="email" type="email" placeholder="Enter E-Mail Address" class="form-control @error('email') is-invalid @enderror" name="email" value="" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Password</label>
                    <input id="password" type="password" placeholder="Enter Password" class="form-control @error('password') is-invalid @enderror" name="password" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Confirm Password</label>
                    <input id="confirm-password" type="password" placeholder="Enter Confirm Password" class="form-control @error('confirm-password') is-invalid @enderror" name="confirm-password" required>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label class="vcenter top"><input type="radio" id="all_country_location" name="option" value="all_countries_locations"> All Countries & Locations</label>
                </div>
            </div>
            <div class="col-md-3">
                    <div class="form-group">
                        <label><input type="radio" id="countries_all_location" name="option" value="multiple_country_all_locations" required> Select Country</label>
                    <select class="form-control selectpicker" name="multiple_country[]" data-show-subtext="true" multiple data-live-search="true">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <span>All Locations</span>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label><input type="radio" id="country_specific_location" name="option" value="specific_country_multiple_locations"> Select Country & Location</label>
                    <select class="form-control" name="single_country">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="location">Select Location</label>
                    <select name="location[]" id="location" class="form-control selectpicker"  data-show-subtext="true" multiple data-live-search="true">
                    </select>
                </div>
            </div>
        </div>
        <div class="hr-line-dashed"></div>

        <div class="row">
            <div class="col-md-2">
                <h3><strong>Masters</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="customers-account-master"> Customers Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="suppliers-account-master"> Suppliers Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="expenses-account-master"> Expenses Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="other-account-master"> Other Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="staff-and-salesmen-account-master"> Staff & Salesmen Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="currency-master"> Currency Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="warehouse-master"> Warehouse Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="item-name-master"> Item Name Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="item-group-master"> Item Group Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="company-master"> Company Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="terms-and-conditions"> Terms & Conditions</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="period-closing"> Period Closing</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="country-location-master"> Country/Location Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="users-and-privileges-master"> Users and Privileges Master</label>
                </div>
            </div>
            <div class="col-md-2">
                <h3><strong>Reports</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="approval-voucher-and-do-report"> Approval Voucher & DO Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="balance-sheet-report"> Balance Sheet</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="day-book-report"> Day Book Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="group-summay-report"> Group Summary</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="official-vat-report"> Official VAT Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="purchase-report"> Purchase Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="statement-of-account-report"> Statement of Accounts</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="stock-report"> Stock Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="sales-report"> Sales Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="salesmen-report"> Salesmen Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="trial-balance-report"> Trial Balance Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="report-of-all-countries-locations"> Report of all Countries & Locations</label>
                </div>
            </div>
            <div class="col-md-3">
                <h3><strong>Transactions</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="approval-voucher-delivery-notes"> Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="sales-voucher"> Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="purchase-voucher"> Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="credit-note-sales-return-voucher"> Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="debit-note-purchase-return-voucher"> Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="payment-voucher"> Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="receipt-voucher"> Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="journal-voucher"> Journal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="deposit-and-withdraw"> Deposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="warehouse-transfer"> Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="country-location-wise-stock-transfer"> Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="country-location-wise-cash-transfer"> Country/Location Wise Cash Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="opening-balances-for-inventory"> Opening Balances for Inventory</label>
                </div>
            </div>
            <div class="col-md-3">
                <h3><strong>Others</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-approval-voucher-delivery-notes"> Edit Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-approval-voucher-delivery-notes"> Cancel Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-approval-voucher-delivery-notes"> View & Print Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-sales-voucher"> Edit Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-sales-voucher"> Cancel Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-sales-voucher"> View & Print Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-purchase-voucher"> Edit Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-purchase-voucher"> Cancel Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-purchase-voucher"> View & Print Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-credit-note-sales-return-voucher)"> Edit Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-credit-note-sales-return-voucher"> Cancel Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-credit-note-sales-return-voucher"> View & Print Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-debit-note-purchase-return-voucher)"> Edit Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-debit-note-purchase-return-voucher"> Cancel Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-debit-note-purchase-return-voucher"> View & Print Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-payment-voucher"> Edit Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-payment-voucher"> Cancel Payment Voucher</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-payment-voucher"> View & Print Payment Voucher</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-receipt-voucher"> Edit Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-receipt-voucher"> Cancel Receipt Voucher</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-receipt-voucher"> View & Print Receipt Voucher</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-journal-voucher"> Edit Journal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-journal-voucher"> Cancel Journal Voucher</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-journal-voucher"> View & PrintJournal Voucher</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-deposit-and-withdraw"> Edit Deposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-deposit-and-withdraw"> Cancel Deposit and Withdraw</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-deposit-and-withdraw"> View & PrintDeposit and Withdraw</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-warehouse-transfer"> Edit Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-warehouse-transfer"> Cancel Warehouse Transfer</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-warehouse-transfer"> View & Print Warehouse Transfer</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-country-location-wise-stock-transfer"> Edit Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-country-location-wise-stock-transfer"> Cancel Country/Location Wise Stock Transfer</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-country-location-wise-stock-transfer"> View & Print Country/Location Wise Stock Transfer</label>
                </div> --}}
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-country-location-wise-cash-transfer"> Edit Country/Location Wise Cash Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-country-location-wise-cash-transfer"> Cancel Country/Location Wise Cash Transfer</label>
                </div>
                {{-- <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-country-location-wise-cash-transfer"> View & Print Country/Location Wise Cash Transfer</label>
                </div> --}}

                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="stock-search-permissions"> Stock Search Permissions</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="search-keyword-number-permission"> Search Keyword / Number Permission</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-edit-print-invoice-voucher-permission"> View,Edit,Print Invoice / Voucher Permission</label>
                </div>
            </div>
            <div class="col-md-2">
                <h3><strong>After Period Clouser</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="back-dated-entry-as-per-user-credentials"> Back Dated Entry as Per user Credentials</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-report-as-per-user-credentials"> View Report as Per user Credentials</label>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <button type="submit" class="btn btn-primary pull-right">Create Limited User</button>
            </div>
        </div>
    </form>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate();

</script>
@endsection
