@extends('layouts.master_user')
@section('page-title')
Staff & Salesman Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
    .display-none{
        display: none;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('account_master')
active
@endsection
@section('staff_salesman')
active
@endsection
@section('content')

{{-- @section('page-breadcrumb')
<li>
    <a href="/admin">Staff and Salesmen</a>
</li>
<li class="active">
    <strong>Staff and Salesmen</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <a href="/masters/account-masters/staff-and-salesmen/create" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create Staff & Salesman</a>
        </div>
        @if(count($staff_and_salesmen) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>Job Designation</th>
                            <th>First Name</th>
                            <th>Last Name</th>
                            <th>Email</th>
                            <th>Passwords</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($staff_and_salesmen as $key => $staff_and_salesman)
                            <tr>
                                <td>{{ $staff_and_salesmen[$key]->job_designation }}</td>
                                <td>{{ $staff_and_salesmen[$key]->first_name }}</td>
                                <td>{{ $staff_and_salesmen[$key]->last_name }}</td>
                                <td>{{ $staff_and_salesmen[$key]->email }}</td>
                                <td>
                                    @if ($staff_and_salesmen[$key]->transactions_password != "")
                                        <p>T Password</p>
                                    @endif
                                    @if ($staff_and_salesmen[$key]->report_password != "")
                                        <p>R Password</p>
                                    @endif
                                </td>
                                <td>
                                    {{-- @if ($staff_and_salesmen[$key]->deleted_at != "")
                                        <button type="button" class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Deleted</button>
                                    @else --}}
                                        <div class="btn-group">
                                            <div class="pull-left" style="margin-right: 10px;">
                                                <a href="/masters/account-masters/staff-and-salesmen/{{ $staff_and_salesmen[$key]->id }}/edit" class="btn btn-primary"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                                            </div>
                                            @if ($count[$key] < 1)
                                                <div class="pull-left">
                                                    <form  method="post" action="/masters/account-masters/staff-and-salesmen/{{ $staff_and_salesmen[$key]->id }}/softdelete">
                                                        {{ csrf_field() }}
                                                        {{ method_field('DELETE') }}
                                                        <button type="submit" class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Delete</button>
                                                    </form>
                                                </div>
                                            @else
                                                <button type="button" disabled class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Delete</button>
                                            @endif
                                            <div class="pull-right" style="margin-left: 10px;">
                                                <a href="/masters/account-masters/{{$staff_and_salesmen[$key]->account_master_type}}/docs/{{ $staff_and_salesmen[$key]->id }}" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View Documents</a>
                                            </div>
                                        </div>
                                    {{-- @endif --}}
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                        @if ($staff_and_salesmen->hasPages())
                        <tfoot>
                            <tr>
                                <td colspan="6" class="footable-visible text-center">
                                    {!! $staff_and_salesmen->links() !!}
                                </td>
                            </tr>
                        </tfoot>
                        @endif
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @else
            <h4 style="text-align:center;">No Staff and Salesman has been created yet.</h4>
        @endif
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-staff_and_salesmen').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection
