
@extends('layouts.master_user')
@section('page-title')
Offical Vat Report Display
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }
    th{
        text-align:center;
    }
    td{
        text-align: center;
    }
    tfoot,tr,td,p{
        text-align: left;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('offical-vat-report')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <div class="row">
                <div class="col-md-6">
                    <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="form-group top pull-right">
                    {{-- <button class="btn btn-primary" id="printbtn" onclick="window.print()"><i
                        class="fa fa-print"></i> Print </button> --}}
                    <a href="/reports/vat-report/pdfview/{{$from_date}}/{{$to_date}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                    <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                        Format)</button>
                </div>
            </div>
            {{-- <div class="row">
                <div class="col-sm-3">
                    <p><b>C.R#</b></p>
                </div>
                <div class="col-sm-9">
                    <p><b>Company Name</b></p>
                </div>
            </div> --}}
            {{-- <form method="get" class="form-horizontal"> --}}
                {{-- <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th colspan="4">VAT Input</th>
                            <th colspan="4">VAT Output</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th>Date</th>
                            <th>Voucher Description</th>
                            <th>Company Name</th>
                            <th>VAT Amount</th>
                            <th>Date</th>
                            <th>Voucher Description </th>
                            <th>Company Name</th>
                            <th>VAT Amount</th>
                        </tr>
                        <tr>
                            <td><p>25/11/2020</p></td>
                            <td><p>4578965</p></td>
                            <td><p>abc</p></td>
                            <td><p>5000</p></td>
                            <td><p>25/11/2020</p></td>
                            <td><p>4578965</p></td>
                            <td><p>abc</p></td>
                            <td><p>5000</p></td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="3">
                                <p><strong>Total VAT Input: 2500</strong></p>
                            </td>
                            <td><p><strong>5000</strong></p></td>

                            <td colspan="3">
                                <p><strong>Total VAT Output: 2500</strong></p>
                            </td>
                            <td><p><strong>5000</strong></p></td>
                        </tr>
                    </tfoot>
                </table> --}}
            {{-- </form> --}}
            <div class="row">
                <div class="col-md-6">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th colspan="4">VAT Input</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th>Date</th>
                                <th>Voucher Description</th>
                                <th>Company Name</th>
                                <th>VAT Amount</th>

                            </tr>
                            @php
                                $purchase_invoice_vat = 0;
                                $sale_return_vat = 0;
                            @endphp
                            @foreach ($sorted_purchase_sale_return_data as $item)
                                <tr>
                                    <td><p>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</p></td>
                                    <td><p>{{$item->invoice_type}}# {{$item->invoice_no}}</p></td>
                                    <td><p>{{$item->account->name_of_organisation}}</p></td>
                                    <td><p>{{ number_format($item->vat_amount, $decimal, '.', '') }}</p></td>
                                </tr>
                                @php
                                    $purchase_invoice_vat += $item->vat_amount;
                                @endphp
                            @endforeach
                        </tbody>
                        @php
                            $sum_purchase_vat = $purchase_invoice_vat + $sale_return_vat;
                            $sum_purchase_vat_decimal = number_format($sum_purchase_vat, $decimal, '.', '');
                        @endphp
                        <tfoot>
                            <tr>
                                <td colspan="3">
                                    <p><strong>Total VAT Input: </strong></p>
                                </td>
                                <td><p><strong>{{$sum_purchase_vat_decimal}}</strong></p></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <div class="col-md-6">
                    <table class="col-md-6 table table-bordered">
                        <thead>
                            <tr>
                                <th colspan="4">VAT Output</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th>Date</th>
                                <th>Voucher Description</th>
                                <th>Company Name</th>
                                <th>VAT Amount</th>

                            </tr>
                            @php
                                $sale_invoice_vat = 0;
                                $purchase_return_vat = 0;
                            @endphp
                            @foreach ($sorted_sale_purchase_return_data as $item)
                                <tr>
                                    <td><p>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</p></td>
                                    <td><p>{{$item->invoice_type}}# {{$item->invoice_no}}</p></td>
                                    <td><p>{{$item->account->name_of_organisation}}</p></td>
                                    <td><p>{{ number_format($item->vat_amount, $decimal, '.', '') }}</p></td>
                                </tr>
                                @php
                                    $sale_invoice_vat += $item->vat_amount;
                                @endphp
                            @endforeach
                        </tbody>
                        @php
                            $sum_sale_vat = $sale_invoice_vat + $purchase_return_vat;
                            $sum_sale_vat_decimal = number_format($sum_sale_vat, $decimal, '.', '');
                        @endphp
                        <tfoot>
                            <tr>
                                <td colspan="3">
                                    <p><strong>Total VAT Output:</strong></p>
                                </td>
                                <td><p><strong>{{$sum_sale_vat_decimal}}</strong></p></td>

                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3 col-sm-offset-9">
                    @php
                       $vat_payable_receiveable = $sum_purchase_vat_decimal - $sum_sale_vat_decimal
                    @endphp
                    <p class="text-right"><strong>
                        @if ($vat_payable_receiveable < 0)
                            Vat Payable : {{ $vat_payable_receiveable }}
                        @else
                            Vat Receiveable : {{ $vat_payable_receiveable }}
                        @endif
                    </strong></p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();
                if(select_status=='account'){
                    $('#account_class').show();
                    $('#ledger_class').hide();
                    $('#ledger_class_of_account').hide();

                }
                if(select_status=='ledger'){
                    $('#ledger_class').show();
                    $('#account_class').hide();
                    $('#ledger_class_of_account').hide();

                }
                if(select_status==''){
                    $('#account_class').hide();
                    $('#ledger_class').hide();
                    $('#ledger_class_of_account').show();
                }
            }
            function showAndHideInfo(){
                var select_status=$('#report_type').val();
                if(select_status=='billwise_report'){
                    $('#customer_info_btn').show();
                    $('#customer_info_th').show();
                }
                if(select_status=='vat_report'){
                    $('#customer_info_btn').hide();
                    $('#customer_info_th').hide();

                }
                if(select_status==''){
                    $('#customer_info_btn').hide();
                    $('#customer_info').hide();
                    $('#customer_info_th').hide();
                    }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>@endsection
