@extends('layouts.master_user')
@section('page-title')
Approval Voucher
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .vattop {
        margin-top: 10px;
    }

    .top {
        margin-top: 5px;
    }

    .top1 {
        margin-top: 50px;
    }

    .displaynon {
        display: none;
    }

    .top95 {
        margin-top: 95px;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('approval-voucher')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Purchase Invoice</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    {{-- <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Invoice</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
    <div class="ibox-content">
        <form class="form-horizontal" method="POST" id="create_form" action="/transactions/approval-vouchers/{{  $approval_voucher -> id }}" enctype="multipart/form-data">
            {{ method_field('PATCH') }}
            {{ csrf_field() }}
            <div class="form-group">
                <div class="col-sm-3">
                    <label>Invoice#</label>
                    <input type="text" class="form-control" value="{{ $approval_voucher-> invoice_no  }}" name="invoice_no" id="invoice_no"
                        placeholder="Invoice#" readonly>
                </div>
                <div class="col-sm-3 col-sm-offset-6">
                    <label>Select Type</label>
                    <select name="type" id="type" class="form-control" required>
                        <option value="">Select Type</option>
                        <option value="delivery note" @if ($approval_voucher-> type == 'delivery note') selected="selected" @endif>Delivery Note</option>
                        <option value="approval voucher" @if ($approval_voucher-> type == 'approval voucher') selected="selected" @endif>Approval Voucher</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-3">
                    <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        class="form-control" name="date" id="date" value="{{ $approval_voucher -> date }}" readonly>
                        </div>
                </div>
                {{-- <div class="col-sm-3 col-sm-offset-6">
                    <label for="saleman-select">
                        Select Warehouse
                    </label>
                    <select class="warehouse-select form-control" id="warehouse_id" name="warehouse_id" required>
                        <option value="">Select Warehouse ...</option>
                            @foreach ($warehouses as $warehouse)
                                @if (!empty($warehouse->warehouse))
                                    <option value="{{$warehouse->warehouse->id}}" @if ($approval_voucher -> warehouse_id == $warehouse->warehouse->id) selected="selected" @endif>{{$warehouse->warehouse->name}}</option>
                                @endif
                            @endforeach
                    </select>
                </div> --}}
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <label>Account Name</label>
                    <select class="warehouse-select form-control" id="account_id" name="account_id" required>
                        <option value="">Select Account ...</option>
                            @foreach ($account_masters as $key => $account_master)
                                @if (!empty($account_master->account_master))
                                    <option value="{{$account_master->account_master->id}}" @if ($approval_voucher -> account_id == $account_master->account_master->id) selected="selected" @endif>{{$account_master->account_master->name_of_organisation}}</option>
                                @endif
                            @endforeach
                    </select>
                    <input type="hidden" name="pass_check" id="pass_check" value="{{$pass_check}}">
                </div>
            </div>
            <div class="hr-line-dashed"></div>

            {{-- invoice table --}}
            <div class="form-group">
                <div class="col-sm-12">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover" id="item_table">
                            <thead>
                                <tr>
                                    {{-- <th scope="col">SR No</th> --}}
                                    <th scope="col">Item Name</th>
                                    <th scope="col">Items Description</th>
                                    {{-- <th scope="col">Color</th> --}}
                                    <th scope="col">IMEI/Serial/Other</th>
                                    <th scope="col">Quantity</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Remarks</th>
                                    <th scope="col">Delete</th>
                                    <th scope="col">Duplicate</th>

                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($approval_voucher->items as $key =>$approval_voucher_item)
                                <tr>
                                    <td width="15%">
                                        <span id="item_name">{{ \App\PurchaseSalesTransferStockTrack::with('name')->where(['imei_serial_no' => $approval_voucher_item->imei_serial_no])->first()->name->name }}</span>
                                        <input type="hidden" name="item_name_id[]" id="item_name_id" class="item_name_id" value="{{$approval_voucher_item->item_name_id}}">
                                    </td>
                                    <td width="20%">
                                        <span id="description">{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $approval_voucher_item->imei_serial_no])->first()->description }}</span>
                                    </td>
                                    {{-- <td width="15%">
                                        <span id="color">{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $approval_voucher_item->imei_serial_no])->first()->color }}</span>
                                    </td> --}}
                                    <td width="15%">
                                        <select name="imei_serial_no[]" class="form-control imei_serial_no" id="imei_serial_no" select>
                                            <option value="">Select IMEI/Serial #</option>
                                            @foreach ($items as $item)
                                            <option value="{{$item->imei_serial_no}}"  @if ($item->imei_serial_no == $approval_voucher_item->imei_serial_no) selected="selected" @endif>{{$item->imei_serial_no}}</option>
                                            @endforeach
                                        </select>
                                        <input type="hidden" name="warehouse_id[]" id="warehouse_id" class="warehouse_id" value="{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $approval_voucher_item->imei_serial_no])->first()->warehouse_id }}">
                                    </td>
                                    <td width="12%">
                                        <input type="text" min="0" id="quantity" name="quantity[]" value="{{ $approval_voucher_item-> quantity }}"
                                            placeholder="Quantity" class="form-control quantity"
                                            required />
                                        <input type="hidden" name="available_quantity[]" id="available_quantity" class="available_quantity" value="{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $approval_voucher_item->imei_serial_no])->first()->quantity }}">
                                    </td>
                                    <td>
                                        <span class="item_unit">{{$approval_voucher_item->unit->unit}}</span>
                                        <input type="hidden" name="item_unit[]" id="item_unit" class="item_unit" value="{{$approval_voucher_item->item_unit_id}}">
                                    </td>
                                    <td width="15%">
                                        <textarea name="remarks[]" id="remarks" class="form-control" cols="30" rows="1" placeholder="Remarks">{{ $approval_voucher_item -> remarks }}</textarea>
                                    </td>
                                    <td width="2%">
                                        <button type="button" class="btn" id="delete_item_button"  @if ($key == 0) disabled @endif><i class="fa fa-trash-o icon-trash"></i></button>
                                    </td>
                                    <td width="2%">
                                        <button type="button" class="btn" id="duplicate_item_button"><i class="fa fa-files-o"></i></button>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-3">
                            <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemRow()"><i class="feather icon-plus"></i> Add Item
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3 col-sm-offset-9">
                            <h4>QTY Total: <span class="total_quantity">{{ $approval_voucher -> total_quantity }}</span>
                            </h4>
                            <input type="hidden" id="total_quantity" name="total_quantity" value="0" class="form-control" required />
                        </div>
                    </div>
                    <div class="row m-b buyer-info" @if ($account-> account_master_type != 'Other-Account') style="display: none" @endif>
                        <div class="hr-line-dashed"></div>
                        <div class="col-sm-6">
                            <label for="customer-select">
                                Buyer Info:
                            </label>
                            <div id="customer_info">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Name</label>
                                        <input type="text" class="form-control" name="buyer_name" id="buyer_name" value="{{ $approval_voucher->buyer_name }}" placeholder="Name">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Mobile #</label>
                                        <input type="text" class="form-control" name="buyer_mobile" id="buyer_mobile" value="{{ $approval_voucher->buyer_mobile }}" placeholder="Mobile #">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Email*</label>
                                        <input type="email" class="form-control" name="buyer_email" id="buyer_email" value="{{ $approval_voucher->buyer_email }}" placeholder="Email">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Address*</label>
                                        <textarea name="buyer_address" class="form-control" id="buyer_address" cols="30"rows="3" placeholder="Address">{{ $approval_voucher->buyer_address }}</textarea>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>VAT Number</label>
                                        <input type="text" class="form-control" name="buyer_vat_number" id="buyer_vat_number" value="{{ $approval_voucher->buyer_vat_number }}" placeholder="VAT Number">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-6">
                            <label for="Narrations">Terms & Conditions</label>
                            <p>{!! $terms_and_conditions_approval_voucher-> terms_and_conditions ?? '' !!}</p>
                            {{-- <textarea class="form-control" name="terms_and_conditions" id="term_and_conditions" cols="30" rows="5"placeholder="Terms & Conditons"></textarea> --}}
                        </div>
                        <div class="col-sm-6">
                            <label for="Narrations">Narrations</label>
                            <textarea name="narrations" class="form-control" id="narrations" cols="30" rows="5"placeholder="Narrations">{{  $approval_voucher -> narrations }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <button class="btn btn-primary pull-right" type="button" id="form_submit">Update Approval Voucher</button>
                </div>
            </div>
        </form>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
      </div>

</div>
@endsection

@section('js')
<script>

    $('select[name="account_id"]').on('change', function(){
        var account_id = $(this).val();
        if(account_id) {
            CheckAccountPassword(account_id);
            // $.ajax({
            //     url: '/masters/account-masters/password/'+account_id,
            //     type:"GET",
            //     dataType:"json",
            //     success:function(data) {
            //         console.log("data", data.data);
            //         if(data.status == "success") {
            //             $('#pass_check').val(data.data);
            //         }else {
            //             alert(data.status);
            //         }
            //     },
            // });
        } else {
        }
    });

    $("#form_submit").click(function(){
        if ($('#create_form').valid()) {
            var pass_check = $('#pass_check').val();
            if (pass_check == "no") {
                $('#create_form').submit();
            } else if(pass_check == "yes"){
                $('#exampleModal').modal('show');
            }
        }
    });

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#account_id').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
            // $.ajax({
            //     url: '/masters/account-masters/check-password/'+account_master_id,
            //     type:"POST",
            //     dataType:"json",
            //     data: {
            //          password: password,
            //          _token: '{{csrf_token()}}'
            //         } ,
            //         success:function(data) {
            //         console.log("data", data.status);
            //         if(data.status == "success") {
            //             $("#exampleModal").modal('hide');
            //             $("#create_form").submit();
            //         }else {
            //             alert('Enetred Password Not Correct');
            //         }

            //     },
            // });
        }
    });
</script>

<script>

    $('#imei_serial_no').select2();
    $('#account_id').select2();

    $('tbody').delegate('.imei_serial_no', 'change', function () {
        var tr = $(this).parent().parent();
        var imei_serial_no = $(this).val();
        if(imei_serial_no) {
            $.ajax({
                url: '/purchase-invoice/item/'+imei_serial_no,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        console.log($(this));
                        tr.find('#item_name').text(data.data.name.name);
                        tr.find('#item_name_id').val(data.data.name.id);
                        tr.find('#description').text(data.data.description);
                        // tr.find('#color').text(data.data.color);
                        tr.find('.item_unit').text(data.data.unit.unit);
                        tr.find('.item_unit').val(data.data.unit.id);
                        tr.find('#available_quantity').val(data.data.quantity);
                        var quantity = tr.find('.quantity').val();
                        var available_quantity = tr.find('.available_quantity').val();
                        if (parseInt(quantity) > parseInt(available_quantity)) {
                            alert("Quantity Limit Exceeded");
                            tr.find('.quantity').val(0);
                            getQuantity();
                        }
                        tr.find('#warehouse_id').val(data.data.warehouse_id);
                    }else {
                        alert('failed to retrieve locations for selected IMEI');
                    }

                },
            });
        } else {
            tr.find('#item_name').text('select IMEI');
            // tr.find('#color').text('select IMEI');
            tr.find('#description').text('select IMEI');
            tr.find('.item_unit').text('select IMEI');
        }
    });

    var net_total = 0;
    function createItemRow() {

        $('#item_table').append(
        '<tr>'+
            '<td width="15%">' +
                '<span id="item_name">select IMEI/Serial/Other</span>' +
                '<input type="hidden" name="item_name_id[]" id="item_name_id" class="item_name_id">' +
            '</td>' +
            '<td width="20%">' +
                '<span id="description">select IMEI/Serial/Other</span>' +
            '</td>' +
            // '<td width="15%">' +
            //     '<span id="color">select IMEI/Serial/Other</span>' +
            // '</td>' +
            '<td width="15%">' +
                '<select name="imei_serial_no[]" class="form-control imei_serial_no" id="imei_serial_no" required>' +
                    '<option value="">Select IMEI/Serial #</option>' +
                    '@foreach ($items as $item)' +
                    '<option value="{{$item->imei_serial_no}}">{{$item->imei_serial_no}}</option>' +
                    '@endforeach' +
                '</select>' +
                '<input type="hidden" name="warehouse_id[]" id="warehouse_id" class="warehouse_id" value="">' +
            '</td>' +
            '<td width="12%">' +
                '<input type="text" min="0" id="quantity" name="quantity[]"' +
                'placeholder="Quantity" class="form-control quantity"' +
                'required />' +
                '<input type="hidden" name="available_quantity[]" id="available_quantity" class="available_quantity">' +
            '</td>' +
            '<td><span class="item_unit">Select Item</span><input type="hidden" name="item_unit[]" id="item_unit" class="item_unit"></td>' +
            '<td><textarea name="remarks[]" id="remarks" class="form-control" cols="30" rows="1" placeholder="Remarks"></textarea></td>'+
            '<td><button type="button" class="btn fa fa-trash-o style="margin-top: 5px;" id="delete_item_button"><i></i></button></td>' +
            '<td><button type="button" class="btn fa fa-files-o style="margin-top: 5px;" id="duplicate_item_button"><i></i></button></td>' +
            '</tr>');

            $('#item_table tr:last').find('#imei_serial_no').select2();
        // $('.item_name_id').select2();
    }

    $('#item_table').on('click', 'button[id="delete_item_button"]', function () {
        $(this).closest('tr').remove();
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    $('#item_table').on('click', 'button[id="duplicate_item_button"]', function (e) {
        e.preventDefault();
        var $tr = $(this).closest('tr').clone();
        $tr.find('#description').val('');
        // $tr.find('#color').val('');
        $tr.find('#imei_serial_no').val('');
        $tr.find('#delete_item_button').prop("disabled", false);
        $tr.find('.select2').remove();
        var imei_serial_no_val = $(this).closest('tr').find('#imei_serial_no').val();
        $('#item_table').append($tr);
        $tr.find('#imei_serial_no').select2();
        $tr.find('#imei_serial_no').val(imei_serial_no_val).trigger('change');
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });


    $('tbody').delegate('.quantity,.rate_per_quantity', 'keyup', function () {
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var available_quantity = tr.find('.available_quantity').val();
        if (parseInt(quantity) > parseInt(available_quantity)) {
            alert("Quantity Limit Exceeded");
            tr.find('.quantity').val(0);
            getQuantity();
        }

        var rate_per_quantity = tr.find('.rate_per_quantity').val();
        var amount = (quantity * rate_per_quantity);
        tr.find('.amount').val(amount);
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    $('tbody').delegate('.amount', 'keyup', function () {
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var amount = tr.find('.amount').val();
        var rate_per_quantity = (amount / quantity);
        tr.find('.rate_per_quantity').val(rate_per_quantity);
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    function getTotal(){
        var gross_total = 0;
        $('.amount').each(function (i,e) {
            var amount =$(this).val()-0;
            gross_total += amount;
        })
        $('.gross_total').html(gross_total);
        $('#gross_total').val(gross_total);
        $('.net_total').html(gross_total);
        $('#net_total').val(gross_total);
    }

    function getQuantity(){
        var total_quantity = 0;
        $('.quantity').each(function (i,e) {
            var quantity =$(this).val()-0;
            total_quantity += quantity;
        })
        $('.total_quantity').html(total_quantity);
        $('#total_quantity').val(total_quantity);
    }

    $('.discount_amount').keyup(function(){
        console.log('discount_amount');
        getDiscount();
    })

    function getDiscount(){
        var gross_total = $('#gross_total').val()-0;
        var discount_amount = $('.discount_amount').val()-0;
        net_total = gross_total - discount_amount;
        $('.net_total').html(net_total);
        $('#net_total').val(net_total);
        getVat();
    }

    $('.vat_percentage').keyup(function(){
        console.log('vat_percentage');
        getVat();
    })

    function getVat(){
        // var net_total = $('#net_total').val()-0;
        var vat_percentage = $('.vat_percentage').val()-0;
        var vat_amount = (net_total*vat_percentage)/100;
        $('.vat_amount').html(vat_amount);
        $('#vat_amount').val(vat_amount);
        var net_total_inc_vat = net_total + vat_amount;
        $('.net_total').html(net_total_inc_vat);
        $('#net_total').val(net_total_inc_vat);
    }

    function showCustomerInfo(){
        var select_status=$('#customer_detail_id').val();
        if(select_status=='name'){
            $('#customer_info').show();

        }
        else{
            $('#customer_info').hide();

        }
    }

    $(document).ready(function() {
        // $('.input-group.date').datepicker({
        //     startView: 1,
        //     todayBtn: "linked",
        //     keyboardNavigation: false,
        //     forceParse: false,
        //     autoclose: true,
        //     format: "yyyy-mm-dd"
        // }).datepicker();
    });

</script>


@endsection
