@extends('layouts.master_user')
@section('page-title')
Country/Location Cash Transfer
@endsection
@section('css')
<style>
    th {
        text-align: center;
    }

    td {
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('country-location-wise-transfer')
active
@endsection
@section('cash-transfer')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Purchase Invoice</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    {{-- <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Invoice</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
    <div class="ibox-content">

        <form id="create_form" class="form-horizontal" method="POST" action="/transactions/country-location-wise-transfer/cash-transfers" enctype="multipart/form-data">
             @csrf
                <div class="row m-b-md">
                    <div class="col-sm-3">
                        <label>C&LST#</label>
                        <input type="text" class="form-control" value="{{ $country_location_wise_cash_transfer_no }}" name="country_location_wise_cash_transfer_no" id="country_location_wise_cash_transfer_no"
                            placeholder="C&LST#" readonly>

                        <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        class="form-control" name="date" id="date" value="">
                        </div>

                        <p><b>From</b></p>
                        <p id="from_country"><b>Country: {{ $country }}</b></p>
                        <p id="from_location"><b>Location: {{ $location }}</b></p>
                    </div>
                    <div class="col-sm-3 col-sm-offset-6">
                        {{-- <div class="col-sm-4"> --}}
                            <p><b>To</b></p>
                            <label for="to_country">Country</label>
                            <select name="to_country" class="form-control" id="to_country">
                                <option value="">Select Country</option>
                                @foreach ($countries as $country)
                                    <option value="{{$country-> id}}">{{$country-> name}}</option>
                                @endforeach
                            </select>
                            <label for="to_location">Select Location</label>
                            <select name="to_location" class="form-control" id="to_location" required>
                            </select>
                    </div>
                </div>
                <table class="table table-bordered" id="items_table">
                    <thead>
                        <tr>
                            <th>
                                Currency
                            </th>
                            <th>
                                Amount
                            </th>
                            <th>
                                Rate
                            </th>
                            <th>
                                Multiply / Divide
                            </th>
                            <th>
                                Currency
                            </th>
                            <th>
                                Amount
                            </th>
                            <th>
                                <button type="button" class="btn" id="delete_item_button" disabled><i class="fa fa-trash-o icon-trash"></i></button>
                            </th>
                            <th>
                                <button type="button" class="btn" id="duplicate_item_button"
                                    disabled><i class="fa fa-files-o"></i></button>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                <p>{{$from_currency->currency_id ?? ''}}</p>
                                <input type="hidden" name="from_currency_id[]" id="from_currency_id" class="form-control from_currency_id" value="{{$from_currency->id ?? ''}}">
                            </td>
                            <td><input type="text" name="from_amount[]" id="from_amount" class="form-control from_amount" placeholder="Amount"></td>
                            <td><input type="text" name="rate[]" id="rate" class="form-control rate" value="{{$from_currency->currency_rate ?? ''}}"></td>
                            <td>
                                <select name="multiply_divide[]" id="multiply_divide" class="form-control multiply_divide">
                                    <option value="multiply">Multiply</option>
                                    <option value="divide">Divide</option>
                                </select>
                            </td>
                            <td>
                                <p class="to_currency_name"></p>
                                <input type="hidden" name="to_currency_id[]" id="to_currency_id" class="form-control to_currency_id" value="">
                            </td>
                            {{-- <td><span id="to_currency_id[]"><strong>USD</strong></span></td> --}}
                            {{-- <td><span id="to_amount[]"><strong>2000</strong></span></td> --}}
                            <td><input type="text" name="to_amount[]" id="to_amount" class="form-control to_amount" value="" readonly></td>

                            <td>
                                <button type="button" class="btn" id="delete_item_button" disabled><i class="fa fa-trash-o icon-trash"></i></button>
                            </td>
                            <td>
                                <button type="button" class="btn" id="duplicate_item_button"><i class="fa fa-files-o"></i></button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="form-group">
                    <div class="col-sm-3">
                        <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemsRow()"><i
                                class="feather icon-plus"></i> Add Item
                        </button>
                    </div>
                </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <button class="btn btn-primary pull-right" type="submit">Cash Transfer</button>
                </div>
                <input type="hidden" id="items_rows" name="items_rows" value="1" />
            </div>
        </form>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
    var items_rows = 1;
    var items_del_rows = 0;
    var items_row_ids = [1];

    function setRateAndOpreation(country_id){
        var current_country_id = '{{ $country_id }}';
        if(current_country_id == country_id){
            $('.rate').val(1);
            $('.rate').prop('readonly', true);
            $('.multiply_divide').val('multiply');
            $('.multiply_divide').attr("style", "pointer-events: none;");
        }else{
            $('.rate').val('');
            $('.rate').prop('readonly', false);
            $('.multiply_divide').val('divide');
            $('.multiply_divide').attr("style", "pointer-events: visible;");
        }
    }

    $('select[name="to_country"]').on('change', function(){
        var country_id = $(this).val();
        setRateAndOpreation(country_id);
        if(country_id) {
            $.ajax({
                url: '/country/locations/cash-transfer/'+country_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        $('select[name="to_location"]').empty();
                        $('select[name="to_location"]').append(
                            '<option value="">Select Location</option>');
                        $.each(data.data, function(key, value){
                            $('select[name="to_location"]').append(
                                // '<option value="">Select Location</option>' +
                                '<option value="'+ value.id +'">' + value.name + '</option>');
                        });
                    }else {
                        alert('failed to retrieve locations for selected country');
                    }

                },
            });
        } else {
            $('select[name="to_location"]').empty();
        }
    });


    function getLocationCurrency(location_id){
        $.ajax({
                url: '/location/currency/'+location_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        // alert(data.id);
                        // $('').each(function (i,e) {
                            $('.to_currency_id').val(data.id);
                            $('.to_currency_name').text(data.name);
                        // }
                    }else {
                        alert('failed to retrieve currency for selected location');
                    }

                },
            });
    }

    $('select[name="to_location"]').on('change', function(){
        // function getCurrency(location_id){
        var location_id = $(this).val();
        if(location_id) {
            getLocationCurrency(location_id);
        } else {
            $('input[name="to_currency_id"]').empty();
        }
    });
    // }


    function createItemsRow() {
    // alert("HELLO");
        $('#items_table').append(
        '<tr><td>' +
            '<p>{{$from_currency->currency_id ?? ''}}</p>' +
            '<input type="hidden" name="from_currency_id[]" id="from_currency_id" class="form-control from_currency_id" value="{{$from_currency->id ?? ''}}">' +
        '</td>' +
        '<td><input type="text" name="from_amount[]" id="from_amount" class="form-control from_amount" placeholder="Amount"></td>' +
        '<td><input type="text" name="rate[]" id="rate" class="form-control rate" value="{{$from_currency->currency_rate ?? ''}}"></td>' +
        '<td><select name="multiply_divide[]" id="multiply_divide" class="form-control multiply_divide"><option value="multiply">Multiply</option><option value="divide">Divide</option></select></td>' +
        '<td>' +
            '<p class="to_currency_name"></p>' +
            '<input type="hidden" name="to_currency_id[]" id="to_currency_id" class="form-control to_currency_id" value="" readonly>' +
        '</td>' +
        '<td><input type="text" name="to_amount[]" id="to_amount" class="form-control to_amount" value="" readonly></td>' +
        '<td><button type="button" class="btn" id="delete_item_button"><i class="fa fa-trash-o icon-trash"></i></button></td>' +
        '<td><button type="button" class="btn" id="duplicate_item_button"><i class="fa fa-files-o"></i></button></td>' +
        '</tr>');

        var country_id = $('select[name="to_country"]').val();
        setRateAndOpreation(country_id);
        var location_id = $('select[name="to_location"]').val();
        getLocationCurrency(location_id);

    }


    $('#items_table').on('click', 'button[id="delete_item_button"]', function () {
        $(this).closest('tr').remove();
    });

    $('#items_table').on('click', 'button[id="duplicate_item_button"]', function (e) {
        e.preventDefault();
        var $tr = $(this).closest('tr').clone();
        $tr.find('#delete_item_button').prop("disabled", false);
        $('#items_table').append($tr);
    });

    $('tbody').delegate('.from_amount , .rate', 'keyup', function () {
        var tr = $(this).parent().parent();
        var from_amount = tr.find('.from_amount').val();
        var rate = tr.find('.rate').val();
        var check = tr.find('.multiply_divide').val();
        if (check == "multiply") {
            amount = from_amount * rate;
        }
        if (check == "divide") {
            amount = from_amount / rate;
        }
        tr.find('.to_amount').val(amount);
    });


    $('tbody').delegate('.multiply_divide', 'change', function () {
        var tr = $(this).parent().parent();
        var from_amount = tr.find('.from_amount').val();
        var rate = tr.find('.rate').val();
        var check = tr.find('.multiply_divide').val();
        if (check == "multiply") {
            amount = from_amount * rate;
        }
        if (check == "divide") {
            amount = from_amount / rate;
        }
        tr.find('.to_amount').val(amount);
    });

        $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });



</script>


@endsection
