@extends('layouts.master_user')
@section('page-title')
Journal Voucher
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .top {
        margin-top: 10px;

    }

    .display-none {
        display: none;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('journal-voucher')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Payment Voucher</strong>
</li>
@endsection
--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Payment Voucher</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div>--}}
        <div class="ibox-content">
            <form class="form-horizontal" id="create_form" name="create_form" method="POST" action="/transactions/journal-vouchers/{{$journal_voucher->id}}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                @csrf
                <div class="form-group">
                    <div class="col-sm-3">
                        <label>Voucher#</label>
                        <input type="text" class="form-control" name="voucher_no" id="voucher_no" value="{{$journal_voucher->voucher_no}}" placeholder="Voucher#" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        class="form-control" name="date" id="date" value="{{$journal_voucher->date}}" readonly>
                        </div>
                    </div>
                </div>
                {{-- invoice table --}}
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="table-responsive">
                                <table class="table table-bordered table-hover" id="items_table">
                                    <thead>
                                        <tr>
                                            {{-- <th scope="col">SR No</th> --}}
                                            <th scope="col">Account Name</th>
                                            <th scope="col">Narrations</th>
                                            <th scope="col">Debit/Credit</th>
                                            <th scope="col">Amount</th>
                                            <th scope="col">Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($journal_voucher_items as $key =>$item)                                        
                                            <tr>
                                                <td width="30%">
                                                    <select class="warehouse-select form-control" id="account_id" name="account_id[]" required> <option value="">Select Account ...</option> @foreach ($account_masters as $key => $account_master) @if (!empty($account_master->account_master)) <option value="{{$account_master->account_master->id}}" @if ($item -> account_name == $account_master->account_master->id) selected="selected" @endif>{{$account_master->account_master->name_of_organisation}}</option> @endif @endforeach </select>
                                                </td>
                                                <td width="35%">
                                                    <textarea name="narrations[]" id="narrations" class="form-control narrations" cols="30" rows="1" placeholder="Narrations" required>{{$item->narrations}}</textarea>
                                                </td>
                                                <td>
                                                    <div>
                                                        <select name="debit_credit[]" id="debit_credit" class="form-control debit_credit" >
                                                            <option value="credit" @if ($item -> debit_credit == "credit") selected="selected" @endif>Credit</option>
                                                            <option value="debit" @if ($item -> debit_credit == "debit") selected="selected" @endif>Debit</option>
                                                        </select>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div>
                                                        <input type="text" min="0" id="amount" name="amount[]" value="{{$item->amount}}" class="form-control amount" required />
                                                    </div>
                                                </td>
                                                <td>
                                                    <div>
                                                        <button type="button" class="btn" id="delete_button" name="delete_button" @if ($key == 0) disabled @endif><i class="fa fa-trash-o icon-trash"></i></button>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-3 ">
                                <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemsRow()"><i class="feather icon-plus"></i> Add Account Name
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-2 col-sm-offset-10">
                            {{-- <p><strong>Debit Amount : </strong><strong><span class="debit_amount">0</strong></span></p> --}}
                            <h4>Debit Amount: <span class="debit_amount">{{$journal_voucher->debit_amount}}</span>
                            </h4>
                            <input type="hidden" id="debit_amount" name="debit_amount" value="{{$journal_voucher->debit_amount}}" class="form-control" required />
                        </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-2 col-sm-offset-10">
                          <p><strong>Credit Amount : </strong><strong><span class="credit_amount">{{$journal_voucher->credit_amount}}</strong></span></p>
                          <input type="hidden" id="credit_amount" name="credit_amount" value="{{$journal_voucher->credit_amount}}" class="form-control" required />
                      </div>
                  </div>
                  <div class="row">
                      <div class="col-sm-2 col-sm-offset-10">
                          <p><strong>Difference : </strong><strong><span class="difference">{{$journal_voucher->difference}}</strong></span></p>
                          <input type="hidden" id="difference" name="difference" value="{{$journal_voucher->difference}}" class="form-control" required />
                      </div>
                  </div>

                </div>

                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" id="submit_button" type="submit">Update Journal Voucher</button>
                    </div>
                    <input type="hidden" id="items_rows" name="items_rows" value="1" />                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
    var items_rows = 1;
    var items_rows_del = 0;
    var items_rows_ids = [1];
    var sr_num=1;

function createItemsRow() {

    $('#items_table').append(
    '<tr><td>' +
        '<select class="warehouse-select form-control" id="account_id" name="account_id[]" required> <option value="">Select Account ...</option> @foreach ($account_masters as $key => $account_master) @if (!empty($account_master->account_master)) <option value="{{$account_master->account_master->id}}" >{{$account_master->account_master->name_of_organisation}}</option> @endif @endforeach </select>' +
    '</td>' +
    '<td>' +
        '<textarea name="narrations[]" id="narrations" class="form-control narrations" cols="30" rows="1" placeholder="Narrations" required></textarea>' +
    '</td>' +
    '<td><div><select name="debit_credit[]" id="debit_credit" class="form-control debit_credit"><option value="credit" selected>Credit</option><option value="debit">Debit</option></select></div></td>' +
    '<td><div> <input type="text" name="amount[]" id="amount" class="form-control amount" placeholder="Amount" value="0.00"></div></td>' +
    '<td><button type="button" class="btn fa fa-trash-o style="margin-top: 5px;" id="delete_button"><i></i></button></td>'+
    '</tr>');

$('.account_id').select2();
$('.debit_credit').select2();
}
$('#items_table').on('click', 'button[id="delete_button"]', function () {
        $(this).closest('tr').remove();
        getTotal();
    });
    
    $('tbody').delegate('.debit_credit', 'change', function () {
        var tr = $(this).parent().parent();
        var debit_credit = tr.find('.debit_credit').val();

        getTotal();
    });

    $('tbody').delegate('.amount', 'keyup', function () {
        var tr = $(this).parent().parent();
        var amount = tr.find('.amount').val();

        getTotal();
    });

    function getTotal(){
        var credit_amount = 0;
        var debit_amount = 0;
        $('.amount').each(function (i,e) {
            var amount =$(this).val()-0;
            var check = $(this).closest('td').prev('td').find('.debit_credit').val();
            if(check == "credit"){
                credit_amount += amount;
            }
            if (check == "debit") {
                debit_amount += amount;    
            }
            
        })
        $('.credit_amount').html(credit_amount);
        $('#credit_amount').val(credit_amount);
        $('.debit_amount').html(debit_amount);
        $('#debit_amount').val(debit_amount);

        getDifference();
    }

    function getDifference(){
        var credit_amount = $('#credit_amount').val()-0;
        var debit_amount = $('#debit_amount').val()-0;
        var difference = credit_amount - debit_amount;
        $('.difference').html(difference);
        $('#difference').val(difference);

        if ($('#difference').val() == 0) {
            $("#submit_button").attr("disabled", false);
        }
        if ($('#difference').val() != 0) {
            $("#submit_button").attr("disabled", true);
        }
    }

    $(document).ready(function() {
        // $('.input-group.date').datepicker({
        //     startView: 1,
        //     todayBtn: "linked",
        //     keyboardNavigation: false,
        //     forceParse: false,
        //     autoclose: true,
        //     format: "yyyy-mm-dd"
        // }).datepicker('setDate',{{$journal_voucher->date}});
    });

</script>


@endsection
