@extends('layouts.master_user')
@section('page-title')
Purchase Invoice
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .vattop {
        margin-top: 10px;
    }

    .top {
        margin-top: 5px;
    }

    .top1 {
        margin-top: 50px;
    }

    .displaynon {
        display: none;
    }

    .top95 {
        margin-top: 95px;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('purchase-invoice')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Purchase Invoice</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    {{-- <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Invoice</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
    <div class="ibox-content">
        <form class="form-horizontal" method="POST" id="create_form" action="/transactions/purchase-invoices" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <div class="col-sm-3">
                    <label>Invoice#</label>
                    <div id="invoice_vat">
                        <input type="text" class="form-control" value="{{ $invoice_no_vat  }}" name="invoice_no" id="invoice_no_vat" placeholder="Invoice#" readonly>
                    </div>
                    <div id="invoice_without_vat" style="display: none">
                        <input type="text" class="form-control" value="{{ $invoice_no  }}" name="invoice_no" id="invoice_no" placeholder="Invoice#" disabled readonly>
                    </div>
                </div>
                <div class="col-sm-3 col-sm-offset-6">
                    <label>Mode/Term of Payment</label>
                    <input type="text" class="form-control" name="mode_of_payment" id="mode_of_payment"
                        placeholder="Mode/Term of Payment">
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-3">
                    <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        class="form-control" name="date" id="date" value="">
                        </div>
                </div>
                <div class="col-sm-3 col-sm-offset-6">
                    <label>Purchase Order</label>
                    <input type="text" class="form-control" name="purchase_order" id="purchase_order"
                        placeholder="Purchase Order">
                </div>
            </div>
            <div class="form-group">
                {{-- <div class="col-sm-3"> --}}
                    {{-- <label for="saleman-select">
                        Select Salesman
                    </label>
                    <select class="saleman-select form-control" id="salesman_id" name="salesman_id" required
                        onchange="calculateVat()">
                        @foreach ($salesmen as $salesman)
                            <option value="{{$salesman->id}}">{{$salesman->first_name}} {{$salesman->last_name}}</option>
                        @endforeach
                    </select> --}}
                {{-- </div> --}}
                <div class="col-sm-3">
                    <input type="checkbox" id="vat_check" name="vat_check" value="1" onclick="myFunction()" checked>
                    <label for="vat_check">VAT</label><br>
                </div>
                <div class="col-sm-3 col-sm-offset-6">
                    <label>LPO(DUE DAYS)</label>
                    <input type="text" class="form-control" name="lpo_days" id="lpo_days" placeholder="LPO/(DUE DAYS)">
                </div>
            </div>
            {{-- <div class="form-group">
                <div class="col-sm-3 col-sm-offset-9">
                    <label for="saleman-select">
                        Select Warehouse
                    </label>
                    <select class="warehouse-select form-control" id="warehouse_id" name="warehouse_id" required>
                        <option value="">Select Warehouse ...</option>
                            @foreach ($warehouses as $warehouse)
                                @if (!empty($warehouse->warehouse))
                                    <option value="{{$warehouse->warehouse->id}}">{{$warehouse->warehouse->name}}</option>
                                @endif
                            @endforeach
                    </select>
                </div>
            </div> --}}
            <div class="form-group">
                <div class="col-sm-12">
                    <label>Account Name</label>
                    <select class="account_id form-control" id="account_id" name="account_id" required>
                        <option value="">Select Account ...</option>
                            @foreach ($account_masters as $key => $account_master)
                                @if (!empty($account_master->account_master))
                                    <option value="{{$account_master->account_master->id}}">{{$account_master->account_master->name_of_organisation}}</option>
                                @endif
                            @endforeach
                    </select>
                    <input type="hidden" name="pass_check" id="pass_check" value="">
                </div>
            </div>
            <div class="hr-line-dashed"></div>

            {{-- invoice table --}}
            <div class="form-group">
                <div class="col-sm-12">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover" id="item_table">
                            <thead>
                                <tr>
                                    {{-- <th scope="col">SR No</th> --}}
                                    <th scope="col">Item Name</th>
                                    <th scope="col">Items Description</th>
                                    {{-- <th scope="col">Color</th> --}}
                                    <th scope="col">IMEI/Serial/Other</th>
                                    <th scope="col">Warehouse</th>
                                    <th scope="col">Qty</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Rate/Unit</th>
                                    <th scope="col">Amount</th>
                                    <th scope="col">Remarks</th>
                                    <th scope="col">Delete</th>
                                    <th scope="col">Duplicate</th>

                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    {{-- <td>
                                                <span id="sr_id"><strong>1</strong></span>
                                            </td>--}}
                                    <td width="15%">
                                        {{-- <textarea name="item_name_1" id="item_name_id_1" class="form-control" cols="20" rows="1" placeholder="Item Name"></textarea> --}}
                                        <select class="form-control item_name_id" id="item_name_id" name="item_name_id[]" required>
                                            <option value="">Select Item</option>
                                            @foreach ($item_names as $item_name)
                                                <option value="{{$item_name->id}}">{{$item_name->name}}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td width="18%">
                                        <textarea name="description[]" id="description" class="form-control" cols="35" rows="1" placeholder="Item Description"></textarea>
                                    </td>
                                    {{-- <td width="10%">
                                        <textarea name="color[]" id="color" class="form-control" cols="15" rows="1" placeholder="Color"></textarea>
                                    </td> --}}
                                    <td width="15%">
                                        <textarea name="imei_serial_no[]" id="imei_serial_no" class="form-control" cols="30"rows="1" placeholder="IMEI/Serial/Other" required></textarea>
                                    </td>
                                    <td width="15%">
                                        <select class="warehouse-select form-control" id="warehouse_id" name="warehouse_id[]" required>
                                            <option value="">Select Warehouse ...</option>
                                                @foreach ($warehouses as $warehouse)
                                                    @if (!empty($warehouse->warehouse))
                                                        <option value="{{$warehouse->warehouse->id}}">{{$warehouse->warehouse->name}}</option>
                                                    @endif
                                                @endforeach
                                        </select>
                                    </td>
                                    <td width="7%">
                                        <input type="text" min="0" id="quantity" name="quantity[]"
                                            placeholder="Quantity" class="form-control quantity"
                                            required />
                                    </td>
                                    <td>
                                        <p class="item_unit">Select Item</p>
                                        <input type="hidden" name="item_unit[]" id="item_unit" class="item_unit">
                                    </td>
                                    <td width="8%">
                                        <input type="text" min="0" id="rate_per_quantity" name="rate_per_quantity[]"
                                            placeholder="Rate/QTY" class="form-control rate_per_quantity"
                                            required />
                                    </td>
                                    <td width="10%">
                                        <input type="text" min="0" id="amount" name="amount[]"
                                            placeholder="Amount" class="form-control amount"
                                            required />
                                    </td>
                                    <td width="15%">
                                        <textarea name="remarks[]" id="remarks" class="form-control" cols="30" rows="1" placeholder="Remarks" required></textarea>
                                    </td>
                                    <td width="2%">
                                        <button type="button" class="btn" id="delete_item_button" disabled><i class="fa fa-trash-o icon-trash"></i></button>
                                    </td>
                                    <td width="2%">
                                        <button type="button" class="btn" id="duplicate_item_button"><i class="fa fa-files-o"></i></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-3">
                            <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemRow()"><i
                                    class="feather icon-plus"></i> Add Item
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3 col-sm-offset-9">
                            <h4>QTY Total: <span class="total_quantity">0</span>
                            </h4>
                            <input type="hidden" id="total_quantity" name="total_quantity" value="0" class="form-control" required />
                        </div>
                    </div>
                    <div class="row ">
                        <div class="col-sm-3 col-sm-offset-9">
                            <h4>Gross Total({{$currency->currency_id ?? '-'}}): <span class="gross_total">0</span>
                            </h4>
                            <input type="hidden" id="gross_total" name="gross_total" value="0" class="form-control" required />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3 col-sm-offset-9">
                            <div class="row">
                                <div class="col-sm-4">
                                    <label for="discount-select">
                                        Discount({{$currency->currency_id ?? '-'}}):
                                    </label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" class="form-control discount_amount" style="height: 27px;" name="discount_amount" placeholder="Discount" id="discount_amount" required>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="vat_attr" class="row top">
                        <div class="col-sm-3 col-sm-offset-9">
                            <div class="row">
                                <div class="col-sm-4" style="padding:0px">
                                    {{-- <label for="customer-select">VAT(%)</label> --}}
                                    <select class="form-control" id="tax_account_id" name="tax_account_id">
                                        @foreach ($tax_accounts as $tax_account)
                                            <option value="{{$tax_account->id}}">{{$tax_account->name_of_organisation}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-sm-3">
                                    <input type="text" class="form-control vat_percentage" name="vat_percentage" id="vat_percentage" style="width: 65px;height: 34px;" placeholder="VAT" value="5">
                                </div>
                                <div class="col-sm-5">
                                    <h4>({{$currency->currency_id ?? '-'}}): <span class="vat_amount">0</span></h4>
                                    <input type="hidden" id="vat_amount" name="vat_amount" value="0" class="form-control" />
                                </div>
                            </div>
                        </div>
                    </div>
                    {{-- <div class="row top">
                        <div class="col-sm-3 col-sm-offset-9 top">
                            <h4>VAT Amount(Rs): <span id="total_vat">0</span>
                            </h4>
                        </div>
                    </div> --}}
                    <div class="row mt-2 top">
                        <div class="col-sm-6">
                            <h4>Amount in Words: <span class="amount_in_words" id="total_invoice_in_words"></span>
                            </h4>
                            <input type="hidden" id="amount_in_words" name="amount_in_words" value="0" class="form-control" required />
                        </div>
                        <div class="col-sm-3 col-sm-offset-3">
                            <h4>Net Total({{$currency->currency_id ?? '-'}}): <span class="net_total">0</span>
                            </h4>
                            <input type="hidden" id="net_total" name="net_total" value="0" class="form-control" required />
                        </div>
                    </div>
                    <div class="row m-b buyer-info" style="display:none">
                        <div class="hr-line-dashed"></div>
                        <div class="col-sm-6">
                            <label for="customer-select">
                                Buyer Info:
                            </label>
                            <div id="customer_info">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Name</label>
                                        <input type="text" class="form-control" name="buyer_name" id="buyer_name" placeholder="Name">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Mobile #</label>
                                        <input type="text" class="form-control" name="buyer_mobile" id="buyer_mobile" placeholder="Mobile #">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Email*</label>
                                        <input type="email" class="form-control" name="buyer_email" id="buyer_email" placeholder="Email">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Address*</label>
                                        <textarea name="buyer_address" class="form-control" id="buyer_address" cols="30"rows="3" placeholder="Address"></textarea>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>VAT Number</label>
                                        <input type="text" class="form-control" name="buyer_vat_number" id="buyer_vat_number" placeholder="VAT Number">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-6">
                            <label for="Narrations">Terms & Conditions</label>
                            <p>{!! $terms_and_conditions_purchase_invoice-> terms_and_conditions ?? ''!!}</p>
                            {{-- <textarea class="form-control" name="terms_and_conditions" id="term_and_conditions" cols="30" rows="5"placeholder="Terms & Conditons"></textarea> --}}
                        </div>
                        <div class="col-sm-6">
                            <label for="Narrations">Narrations</label>
                            <textarea name="narrations" class="form-control" id="term_conditions" cols="30" rows="5"placeholder="Narrations"></textarea>
                        </div>
                    </div>
                    <input type="hidden" name="currency_decimal" id="currency_decimal" value="{{$currency->decimal_currency ?? ''}}">
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <button class="btn btn-primary pull-right" type="button" id="form_submit">Create Purchase invoice</button>
                </div>
            </div>
        </form>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
      </div>

</div>
@endsection

@section('js')
<script>
    var deci = $('#currency_decimal').val();
    var front = dec_function(0, deci);
    $('.gross_total').html(front);
    $('.vat_amount').html(front);
    $('.net_total').html(front);
    $('.amount').val(front);
    $('.rate_per_quantity').val(front);
    $('.discount_amount').val(front);

    $('select[name="account_id"]').on('change', function(){
        var account_id = $(this).val();
        if(account_id) {
            CheckAccountPassword(account_id);
        } else {
        }
    });

    $("#form_submit").click(function(){
        if ($('#create_form').valid()) {
            var pass_check = $('#pass_check').val();
            if (pass_check == "no") {
                $('#create_form').submit();
            } else if(pass_check == "yes"){
                $('#exampleModal').modal('show');
            }
        }
    });

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#account_id').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
        }
    });
</script>


<script>

    $('tbody').delegate('.item_name_id', 'change', function () {
        var tr = $(this).parent().parent();
        var item_name_id = $(this).val();
        if(item_name_id) {
            $.ajax({
                url: '/item-units/'+item_name_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.unit_name);
                    if(data.status == "success") {
                        console.log($(this));
                        tr.find('.item_unit').text(data.unit_name);
                        tr.find('.item_unit').val(data.unit_id);
                    }
                    else{
                        alert('failed to retrieve unit for selected item');
                    }

                },
            });
        } else {
            tr.find('.item_unit').text('Select Item');
        }
    });

    $('#salesman_id').select2();
    $('#warehouse_id').select2();
    $('#account_id').select2();
    $('#item_name_id').select2();

    var net_total = 0;
    function createItemRow() {

        $('#item_table').append(
        '<tr><td>' +
            '<select class="form-control item_name_id" id="item_name_id" name="item_name_id[]" required>' +
                '<option value="">Select Item</option>' +
                '@foreach ($item_names as $item_name)' +
                    '<option value="{{$item_name->id}}">{{$item_name->name}}</option>' +
                '@endforeach' +
            '</select>' +
        '</td>' +
        '<td><textarea name="description[]" id="description" cols="35" rows="1"class="form-control" placeholder="Item Description"></textarea></td>' +
        // '<td><textarea name="color[]" id="color" class="form-control" cols="15" rows="1" placeholder="Color"></textarea></td>' +
        '<td><textarea name="imei_serial_no[]" id="imei_serial_no" class="form-control" cols="30" rows="1" placeholder="IMEI/Serial/Other"></textarea></td>' +
        '<td><select class="warehouse_id form-control" id="warehouse_id" name="warehouse_id[]" required> <option value="">Select Warehouse ...</option> @foreach ($warehouses as $warehouse) @if (!empty($warehouse->warehouse)) <option value="{{$warehouse->warehouse->id}}">{{$warehouse->warehouse->name}}</option> @endif @endforeach </select> </td>' +
        '<td><input type="text" id="quantity" name="quantity[]" placeholder="Quantity" class="form-control quantity" required /></td>' +
        '<td><p class="item_unit">Select Item</p><input type="hidden" name="item_unit[]" id="item_unit" class="item_unit"></td>' +
        '<td><input type="text" id="rate_per_quantity" name="rate_per_quantity[]" placeholder="Rate/QTY" class="form-control rate_per_quantity" value="0.00" required /></td>' +
        '<td><input type="text" id="amount" name="amount[]" placeholder="Amount" class="form-control amount" value="0.00" required /></td>' +
        '<td><textarea name="remarks[]" id="remarks" class="form-control" cols="30" rows="1" placeholder="Remarks" required></textarea></td>'+
        '<td><button type="button" class="btn fa fa-trash-o style="margin-top: 5px;" id="delete_item_button"><i></i></button></td>' +
        '<td><button type="button" class="btn fa fa-files-o style="margin-top: 5px;" id="duplicate_item_button"><i></i></button></td>' +
        '</tr>');

        $('#item_table tr:last').find('#item_name_id').select2();
        $('#item_table tr:last').find('#warehouse_id').select2();

        // $('.amount').val(front);
    }

    $('#item_table').on('click', 'button[id="delete_item_button"]', function () {
        $(this).closest('tr').remove();
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    $('#item_table').on('click', 'button[id="duplicate_item_button"]', function (e) {
        e.preventDefault();
        var $tr = $(this).closest('tr').clone();
        $tr.find('#description').val('');
        // $tr.find('#color').val('');
        $tr.find('#imei_serial_no').val('');
        $tr.find('#delete_item_button').prop("disabled", false);
        $tr.find('.select2').remove();
        var item_name_id_val = $(this).closest('tr').find('#item_name_id').val();
        var warehouse_id_val = $(this).closest('tr').find('#warehouse_id').val();
        $('#item_table').append($tr);
        $tr.find('#item_name_id').select2();
        $tr.find('#item_name_id').val(item_name_id_val).trigger('change');
        $tr.find('#warehouse_id').select2();
        $tr.find('#warehouse_id').val(warehouse_id_val).trigger('change');
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    var dec = $('#currency_decimal').val();

    $('tbody').delegate('.quantity,.rate_per_quantity', 'keyup', function () {
        // alert(dec);
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var rate_per_quantity = tr.find('.rate_per_quantity').val();
        var amount = (quantity * rate_per_quantity);
        amount = dec_function(amount, dec);
        tr.find('.amount').val(amount);
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    $('tbody').delegate('.amount', 'keyup', function () {
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var amount = tr.find('.amount').val();
        var rate_per_quantity = (amount / quantity);
        rate_per_quantity = dec_function(rate_per_quantity, dec);
        tr.find('.rate_per_quantity').val(rate_per_quantity);
        getTotal();
        getQuantity();
        getDiscount();
        getVat();
    });

    function myFunction() {
        var checkBox = document.getElementById("vat_check");
        var vat_attr = document.getElementById("vat_attr");
        var vat_invoice = document.getElementById("invoice_vat");
        var simple_invoice = document.getElementById("invoice_without_vat");
        if (checkBox.checked == true){
            document.getElementById("vat_percentage").removeAttribute("readonly");
            vat_attr.style.display = "block";
            vat_invoice.style.display = "block";
            simple_invoice.style.display = "none";
            $( "#invoice_no_vat" ).prop( "disabled", false );
            $( "#invoice_no" ).prop( "disabled", true );
        } else {
            $(document).ready(function(){
                $("#vat_percentage").val(0);

                // getTotal();
                getVat();
            });
            document.getElementById("vat_percentage").setAttribute("readonly", "readonly");

            vat_attr.style.display = "none";
            vat_invoice.style.display = "none";
            $( "#invoice_no_vat" ).prop( "disabled", true );
            $( "#invoice_no" ).prop( "disabled", false );
            simple_invoice.style.display = "block";
        }
    }

    function getTotal(){
        var gross_total = 0;
        $('.amount').each(function (i,e) {
            var amount =$(this).val()-0;
            gross_total += amount;
        })
        gross_total = dec_function(gross_total, dec);
        $('.gross_total').html(gross_total);
        $('#gross_total').val(gross_total);
        $('.net_total').html(gross_total);
        $('#net_total').val(gross_total);
    }

    function getQuantity(){
        var total_quantity = 0;
        $('.quantity').each(function (i,e) {
            var quantity =$(this).val()-0;
            total_quantity += quantity;
        })
        $('.total_quantity').html(total_quantity);
        $('#total_quantity').val(total_quantity);
    }

    $('.discount_amount').keyup(function(){
        console.log('discount_amount');
        getDiscount();
    })

    function getDiscount(){
        var gross_total = $('#gross_total').val()-0;
        var discount_amount = $('.discount_amount').val()-0;
        net_total = parseFloat(gross_total) - parseFloat(discount_amount);
        net_total = dec_function(net_total, dec);
        $('.net_total').html(net_total);
        $('#net_total').val(net_total);
        getVat();
    }

    $('.vat_percentage').keyup(function(){
        console.log('vat_percentage');
        getVat();
    })

    function getVat(){
        // var net_total = $('#net_total').val()-0;
        var vat_percentage = $('.vat_percentage').val()-0;
        var vat_amount = (net_total*vat_percentage)/100;
        vat_amount = dec_function(vat_amount, dec);
        $('.vat_amount').html(vat_amount);
        $('#vat_amount').val(vat_amount);
        var net_total_inc_vat = parseFloat(net_total) + parseFloat(vat_amount);
        // alert(net_total_inc_vat);
        net_total_inc_vat = dec_function(net_total_inc_vat, dec);
        $('.net_total').html(net_total_inc_vat);
        $('#net_total').val(net_total_inc_vat);

        // var remove_dec = Math.ceil(net_total_inc_vat);
        // var amount_in_words = numberToWord(net_total_inc_vat);
        var amount_in_words = withDecimal(net_total_inc_vat);

        $('.amount_in_words').html(amount_in_words);
        $('#amount_in_words').val(amount_in_words);
    }

    function showCustomerInfo(){
        var select_status=$('#customer_detail_id').val();
        if(select_status=='name'){
            $('#customer_info').show();

        }
        else{
            $('#customer_info').hide();

        }
    }

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

</script>


@endsection
